Skip to main content

Documentation Index

Fetch the complete documentation index at: https://mintlify.com/grokability/snipe-it/llms.txt

Use this file to discover all available pages before exploring further.

The Locations API allows you to manage physical locations where assets and users can be assigned.

List Locations

curl -X GET "https://your-domain.com/api/v1/locations" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
limit
integer
default:"50"
Number of results to return
offset
integer
default:"0"
Offset for pagination
Search string to filter results
sort
string
default:"created_at"
Column to sort by. Allowed values: id, name, address, address2, city, state, country, zip, manager, parent, assets_count, assigned_assets_count, users_count
order
string
default:"desc"
Sort order: asc or desc
parent_id
integer
Filter by parent location ID
manager_id
integer
Filter by location manager ID
company_id
integer
Filter by company ID
total
integer
Total number of locations
rows
array
Array of location objects

Get Location by ID

curl -X GET "https://your-domain.com/api/v1/locations/{location_id}" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
location_id
integer
required
The location ID

Create Location

curl -X POST "https://your-domain.com/api/v1/locations" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "New York Office",
    "address": "123 Main Street",
    "city": "New York",
    "state": "NY",
    "country": "US",
    "zip": "10001"
  }'
name
string
required
Location name
address
string
Street address
address2
string
Address line 2
city
string
City
state
string
State/province
country
string
Country (2-letter code)
zip
string
ZIP/postal code
phone
string
Phone number
fax
string
Fax number
parent_id
integer
Parent location ID (for hierarchical locations)
manager_id
integer
Location manager’s user ID
company_id
integer
Company ID
currency
string
Currency code (e.g., USD, EUR)
ldap_ou
string
LDAP organizational unit
notes
string
Location notes

Update Location

curl -X PATCH "https://your-domain.com/api/v1/locations/{location_id}" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Updated Location Name",
    "manager_id": 5
  }'
location_id
integer
required
The location ID

Delete Location

curl -X DELETE "https://your-domain.com/api/v1/locations/{location_id}" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
location_id
integer
required
The location ID

Get Location’s Users

curl -X GET "https://your-domain.com/api/v1/locations/{location_id}/users" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
location_id
integer
required
The location ID
limit
integer
default:"50"
Number of results to return
offset
integer
default:"0"
Offset for pagination
Returns all users assigned to this location.

Get Location’s Assets

curl -X GET "https://your-domain.com/api/v1/locations/{location_id}/assets" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
location_id
integer
required
The location ID
limit
integer
default:"50"
Number of results to return
offset
integer
default:"0"
Offset for pagination
Returns all assets with this as their default location.

Get Assigned Assets

curl -X GET "https://your-domain.com/api/v1/locations/{location_id}/assigned/assets" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
location_id
integer
required
The location ID
Returns all assets currently assigned to this location.

Get Assigned Accessories

curl -X GET "https://your-domain.com/api/v1/locations/{location_id}/assigned/accessories" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
location_id
integer
required
The location ID
Returns all accessories currently assigned to users at this location.